Results 1 to 5 of 5
  1. #1


    Member Since
    Dec 25, 2007
    Posts
    32
    Classic enviroment no longer supported
    I am currently using a Macbook (not the latest one but the one before that). And i tried to play a game called Marathon this is an old game and it doesn't work becausse when i try to launch it it says "classic enviroment no longer supported"
    Can anyone help
    Attached Images Attached Images

  2. #2

    dtravis7's Avatar
    Member Since
    Jan 04, 2005
    Location
    Modesto, Ca.
    Posts
    29,052
    Specs:
    iMac 2010 27" QuadI7 OS10.12, iMac 2008 OSX10.11, MBP Late2011OS10.12 , iPad Air, iPhone 3GS
    You can not run Classic directly on an Intel Mac.

    There is though an emulator called Sheep Shaver that allows you to use Classic, but I am not sure if games like Marathon will be supported or not. Here is a page about it and a URL for Sheep Shaver.

    http://uneasysilence.com/archive/2006/08/7352/

  3. #3

    louishen's Avatar
    Member Since
    Oct 22, 2007
    Location
    London
    Posts
    8,968
    Specs:
    Mac Mini Core i7 2012 | White 2009 MacBook 2 Ghz | 733 Mhz G4 Quicksilver
    Since Marathon was released as open source way back there is a project that makes the game work on all platforms

    From this link you can download the OS x engine and the original mararthon scenario to work with it

    http://source.bungie.org/get/

  4. #4

    dtravis7's Avatar
    Member Since
    Jan 04, 2005
    Location
    Modesto, Ca.
    Posts
    29,052
    Specs:
    iMac 2010 27" QuadI7 OS10.12, iMac 2008 OSX10.11, MBP Late2011OS10.12 , iPad Air, iPhone 3GS
    Quote Originally Posted by louishen View Post
    Since Marathon was released as open source way back there is a project that makes the game work on all platforms

    From this link you can download the OS x engine and the original mararthon scenario to work with it

    http://source.bungie.org/get/

    Very cool. I have not even seen Marathon in ages. Glad that happened as I know of a few OSX people who still want to play it. Will pass on that URL.

  5. #5

    louishen's Avatar
    Member Since
    Oct 22, 2007
    Location
    London
    Posts
    8,968
    Specs:
    Mac Mini Core i7 2012 | White 2009 MacBook 2 Ghz | 733 Mhz G4 Quicksilver
    I am even tempted myself, I have the mararthon Trilogy games on a macworld disk, so all I need is Aleph One to run them in OS X

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. PowerPC Applications no longer supported
    By mike91 in forum OS X - Operating System
    Replies: 11
    Last Post: 12-17-2014, 05:12 AM
  2. Safari is no longer supported ...
    By damndog in forum OS X - Operating System
    Replies: 15
    Last Post: 11-13-2014, 11:28 PM
  3. Power PC Applications no longer supported.
    By Metis in forum OS X - Operating System
    Replies: 15
    Last Post: 11-07-2012, 09:10 AM
  4. Classic environment is no longer supported?
    By TomBone in forum Switcher Hangout
    Replies: 9
    Last Post: 10-09-2009, 06:29 AM
  5. Word no longer supported?
    By HyperM3 in forum OS X - Apps and Games
    Replies: 6
    Last Post: 12-17-2008, 11:01 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •